#pragma once
#include "ParameterInterface.h"

typedef float FP32;

class ParameterFloat : public ParameterInterface<FP32>
{
private:
public:
	ParameterFloat(const ModbusRegister description, uint16_t address, Access access) : ParameterInterface(description, address, access) {};
    ParameterFloat(const ModbusRegister description, const unsigned short address, const Access access, const Category cat) : ParameterInterface(description, address, access, cat) {};
    virtual ~ParameterFloat(){}

	uint8_t getSize() const override { return 32; }

};

