#pragma once

#include <memory>
#include "MLAnalyzer.h"
#include "MLLinReg.h"
#include "MLAlert.h"
#include <vector>
#include <memory>

class Evaluator
{
private: 

    //Enqueued Algorithms to perform data analysis
    std::vector<std::unique_ptr<MLAnalyzer>> MLAlgorithms;


public:
	Evaluator();

	//Gets called if new data is available
    std::vector<MLAlert> evaluate();

};

